ASTElseStatement (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTElseStatement class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTElseStatement

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTElseStatement

All Implemented Interfaces:
  Node, Renderable

public class ASTElseStatement
extends SimpleNode

This class is responsible for handling the Else VTL control statement. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTElseStatement.java 517553 2007-03-13 06:09:58Z wglass $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTElseStatement(int id)`
`ASTElseStatement(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` An ASTElseStatement always evaluates to true.
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTElseStatement

    public ASTElseStatement(int id)

Parameters:
  `id` -

### ASTElseStatement

    public ASTElseStatement(Parser p,
                            int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### evaluate

    public boolean evaluate(InternalContextAdapter context)

  An ASTElseStatement always evaluates to true. Basically behaves like an #if(true).

  Specified by:
    `evaluate` in interface `Node`
  Overrides:
    `evaluate` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    Always true.
  See Also:
    `Node.evaluate(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.